SDL_HINT_AUDIO_FREQUENCY(3)

NAME
SDL_HINT_AUDIO_FREQUENCY - A variable controlling the default audio frequency.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_AUDIO_FREQUENCY SDL_AUDIO_FREQUENCY"

DESCRIPTION
If the application doesn't specify the audio frequency when opening the device, this hint can be used to specify a default frequency that will be used. This defaults to "44100".

This hint should be set before an audio device is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.